## LassoSamlAudienceRestrictionCondition LassoSamlAudienceRestrictionCondition |

## Functions

LassoSamlAudienceRestrictionCondition * | lasso_saml_audience_restriction_condition_new ()
LassoSamlAudienceRestrictionCondition * | lasso_saml_audience_restriction_condition_new_full ()

## Types and Values

struct | LassoSamlAudienceRestrictionCondition

## Description

## Functions

### lasso_saml_audience_restriction_condition_new ()

    LassoSamlAudienceRestrictionCondition *
    lasso_saml_audience_restriction_condition_new
                                   (void);

Creates a new LassoSamlAudienceRestrictionCondition object.

#### Returns

a newly created LassoSamlAudienceRestrictionCondition

### lasso_saml_audience_restriction_condition_new_full ()

    LassoSamlAudienceRestrictionCondition *
    lasso_saml_audience_restriction_condition_new_full
                                   (const char *audience);

Creates a new LassoSamlAudienceRestrictionCondition object and initializes it with the parameters.

#### Parameters

audience | a string which specify to which audience the restriction condition applies |

#### Returns

a newly created LassoSamlAudienceRestrictionCondition

## Types and Values

### struct LassoSamlAudienceRestrictionCondition

    struct LassoSamlAudienceRestrictionCondition {
    	LassoSamlConditionAbstract parent;

    	/* <element ref="saml:Audience" maxOccurs="unbounded"/> */
    	GList *Audience; /* of strings */
    };